pas2fpm(1)

NAME
pas2fpm - The Free Pascal unit to fpmake.pp file generator tool.

SYNOPSIS

pas2fpm [options] file1...filen

DESCRIPTION

pas2fpm Creates a fpmake.pp file from the unit files specified. It tries to order the units in an optimal form by scanning the uses clause. It does not handle program files, only unit files are supported.

USAGE

pas2fpm takes the following options at this time:

-h  Displays a short help message.

-o outputfile
    By default, pas2fpm writes a file fpmake.pp and with this option, the name can be changed.

-p packagename
    Specify the name for the package in the fpmake file.

-v  Be verbose: write some diagnostic output.

SEE ALSO

    fppkg(1) fpc(1) make(1)